Report of Patch Compliance for Subscribed Targets
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/targetsPatchComplianceReport
Patch compliance report for all subcribed targets
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
excludeList: array
excludeList
exclude the given details in response
-
limit: number
limit for the current fetch (to fetch only the 'total' count of items need to set the limit=0)Example:
10 -
page: string
Base 64 encoded pageExample:
b2Zmc2V0OjA -
sort: string
Sort field along with an optional sort direction. The supported attributes for sorting are 'targetName','targetType', 'hostName', 'release', 'platform','imageName','imageVersionName','imageVersionDescription','targetStatus', 'clusterName', 'additionalPatchCount', 'currentVersionName', 'dbMachineName'.Valid sort directions include asc and desc. If sort direction is not specified asc is used by default.Example:
name:asc
Match All
Show Source
-
object
TargetsPatchComplianceReportFilter
Filters for the subscribed targets compliance report
Nested Schema : excludeList
Type:
arrayexclude the given details in response
Show Source
-
Array of:
Allowed Values:
[ "total" ]
Nested Schema : TargetsPatchComplianceReportFilter
Type:
objectFilters for the subscribed targets compliance report
Show Source
-
imageId: string
ID of the imageExample:
E77FC170F57D4B64E0531D0E4B64DA85 -
imageNameMatches: string
Wildcard search on the image nameExample:
%img% -
isOnCurrentImage: boolean
Patchlevel of the target (true-target is patched to the current image, false-target is patched to non-current image)
-
platform: string
Platform of the targetExample:
linux_x64_86 -
releaseMatches: string
Wildcard search on the release of the targetExample:
19.14% -
targetNameMatches: string
Wildcard search on the target nameExample:
%orcl% -
targetProperties: object
targetProperties
Propeties of target
-
targetTypeList: array
targetTypeList
List of target types
Nested Schema : targetProperties
Type:
objectPropeties of target
Match All
Propeties of target
Show Source
-
object
TargetPropertyFilter
Target property filters
Nested Schema : targetTypeList
Type:
arrayList of target types
Show Source
-
Array of:
Allowed Values:
[ "oracle_database", "rac_database", "cluster", "has" ]
Nested Schema : TargetPropertyFilter
Type:
objectTarget property filters
Show Source
-
contactList: array
contactList
List of contacts
-
costCenterList: array
costCenterList
List of cost centers
-
departmentList: array
departmentList
List of departments
-
downtimeContactList: array
downtimeContactList
List of downtime contacts
-
lifecycleStatusList: array
lifecycleStatusList
List of lifecyclestatus
-
lineOfBusinessList: array
lineOfBusinessList
List of line of business
-
locationList: array
locationList
List of locations
-
siteList: array
siteList
List of sites
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
OK. Target details retrieved.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
GoldImageSubscribedTargetsPatchComplianceReport
Target details
Nested Schema : GoldImageSubscribedTargetsPatchComplianceReport
Type:
objectTarget details
Show Source
-
count: number
count of subscribed targets in the current fetchExample:
10 -
currentPage: string
Base 64 encoded current pageExample:
b2Zmc2V0OjA -
items: array
items
list of targets
-
nextPage: string
Base 64 encoded next pageExample:
b2Zmc2V0OjA -
previousPage: string
Base 64 encoded previous pageExample:
b2Zmc2V0OjA -
total: number
Total count of targets subscribed to imagesExample:
100
Nested Schema : items
Type:
Show Source
object-
additionalPatchCount: integer
Count of additional patches in target not present in image and are not not recommended patchesExample:
2 -
currentVersionName: string
Name of the 'CURRENT' image versionExample:
19DBRU15 -
imageId: string
Id of the imageExample:
E77FC170F57D4B64E0531D0E4B64DA85 -
imageName: string
name of the imageExample:
Tier1 SI 19.14 -
imageVersionDescription: string
description of the image versionExample:
-
imageVersionName: string
name of the image versionExample:
Version-1 -
isCurrentImage: boolean
Flag indicates if the image is current version
-
isImageUptodate: boolean
Flag to indicate if the image is uptodate
-
isNonCurrentVersionUptodate: boolean
Flag indicates if there is a uptodate image version
-
patchCompliance: string
Patch compliance of Target, can be either 'DRIFTED'-if the target has additional patches than in image and are not recommended patches or
- on which the target is patched Example:DRIFTED
Match All
Show Source
-
object
allOf
TargetPatchComplianceDetails
Target details
Nested Schema : TargetPatchComplianceDetails
Type:
objectTarget details
Show Source
-
dbMachineName: string
DB Machine nameExample:
myDbMachine.oracle.com
Match All
Target details
Show Source
-
object
TargetDetails
details of target
Nested Schema : TargetDetails
Type:
objectdetails of target
Show Source
-
clusterName: string
name of the clusterExample:
phxem0405c -
dataguardRole: string
Enum for Data Guard role
-
displayName: string
display name of the targetExample:
sdb2ra00 -
hostname: string
name of the hostExample:
myHostName.mycompany.com -
isCdb: string
Flag to indicate if the DB is CDBExample:
true -
platform: string
Platform of the targetExample:
Linux_AMD64 -
release: string
database releaseExample:
19.14.0.0.0 -
targetId: string
Id of the targetExample:
09216A9333889316155C3B7DFF9820C7 -
targetName: string
name of the targetExample:
sdb2ra00 -
targetStatus: number
status of the targetExample:
1 -
targetType: string
Allowed Values:
[ "rac_database", "oracle_database", "cluster", "has" ]type of the target
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message